@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v29-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
    url('../fonts/roboto-v29-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/roboto-v29-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
    url('../fonts/roboto-v29-latin-regular.woff') format('woff'), /* Modern Browsers */
    url('../fonts/roboto-v29-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../fonts/roboto-v29-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/roboto-v29-latin-500.eot'); /* IE9 Compat Modes */
    src: local(''),
    url('../fonts/roboto-v29-latin-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/roboto-v29-latin-500.woff2') format('woff2'), /* Super Modern Browsers */
    url('../fonts/roboto-v29-latin-500.woff') format('woff'), /* Modern Browsers */
    url('../fonts/roboto-v29-latin-500.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../fonts/roboto-v29-latin-500.svg#Roboto') format('svg'); /* Legacy iOS */
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v29-latin-700.eot'); /* IE9 Compat Modes */
    src: local(''),
    url('../fonts/roboto-v29-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../fonts/roboto-v29-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
    url('../fonts/roboto-v29-latin-700.woff') format('woff'), /* Modern Browsers */
    url('../fonts/roboto-v29-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../fonts/roboto-v29-latin-700.svg#Roboto') format('svg'); /* Legacy iOS */
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215;
}

:root {
    --primary: #df0028;
    --light-primary: #ffdee4;
    --black: #000;
    --dark-gray: #303030;
    --medium-gray: #ccc;
    --gray: #515151;
    --light-gray: #f1f1f1;
    --white: #fff;
    --box-shadow: 0 2px 5px 0 rgb(0 0 0 / 20%);
    --accessibility-color: #f9dc4a;
    --light-info-color: #df002820;
    --light-warning-color: #f6c90e40;
    --light-error-color: #df002820;
    --light-success-color: #2fa41820;
    --font: 'Roboto', sans-serif;
}

:focus {
    outline: 3px solid var(--primary);
}

.visuallyhidden {
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    white-space: nowrap;
}

body {
    font-family: var(--font);
    font-size: 16px;
    line-height: 1.5rem;
    margin: 0;
    background: var(--white);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

h1 {
    font-size: 2.4em;
    margin: 1em 0;
    color: var(--dark-gray);
    line-height: 2.9rem;
}

h2 {
    font-size: 2rem;
    font-weight: 400;
    color: var(--dark-gray);
    margin: 1em 0;
    line-height: 2.5rem;
}

h3 {
    font-size: 1.5rem;
    font-weight: 400;
    color: var(--dark-gray);
    margin: .5rem 0;
    line-height: 2rem;
}

a {
    color: var(--primary);
}

/* start accessibility */
.visually-hidden:not(:focus) {
    position: absolute !important;
    overflow: hidden !important;
    clip: rect(0 0 0 0) !important;
    height: 1px !important;
    width: 1px !important;
    margin: -1px !important;
    padding: 0 !important;
    border: 0 !important;
}

a.visually-hidden {
    position: absolute !important;
    top: 0;
    left: 50%;
    padding: 0 .75em !important;
    -webkit-transform: translateX(-50%) !important;
    transform: translateX(-50%) !important;
    background: var(--accessibility-color);
    z-index: 9;
    min-height: 60px;
    line-height: 60px;
}
/* end accessibility */

header.navigation {
    position: relative;
    display: block;
    background: var(--white);
    width: 100%;
    height: 56px;
    z-index: 9;
}

header.navigation > nav {
    position: fixed;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    border-bottom: 1px solid var(--medium-gray);
    width: 100%;
    height: 56px;
    background: var(--white);
}

header.navigation nav > input#openNav {
    display: none;
}

header.navigation nav > label > span.line {
    position: relative;
    display: block;
    height: 2px;
    width: 30px;
    margin: 0 1em 6px 1em;
    background: var(--gray);
    transition: all .3s;
}

header.navigation nav > label > span.line:last-child {
    margin: 0 0 0 1em;
}

header.navigation nav > input#openNav:checked ~ label > span.line:first-child {
    top: 8px;
    background: var(--primary);
    -webkit-transform: rotate(45deg);
    transform:rotate(45deg);
}

header.navigation nav > input#openNav:checked ~ label > span.line:nth-child(2) {
    width: 0;
}

header.navigation nav > input#openNav:checked ~ label > span.line:last-child {
    top: -8px;
    background: var(--primary);
    -webkit-transform: rotate(-45deg);
    transform:rotate(-45deg);
}

header.navigation nav > span {
    color: var(--gray);
}

header.navigation nav > ul {
    position: absolute;
    top: 56px;
    left: -316px;
    width: 300px;
    height: calc(100vh - 56px);
    background: #fff;
    box-shadow: var(--box-shadow);
    list-style: none;
    margin: 0;
    padding: 0;
    transition: ease-in-out left .5s;
    z-index: 9;
}

header.navigation nav > ul li {
    display: flex;
    align-items: center;
    padding: 1.4em;
}

header.navigation nav > ul a.active li {
    background: var(--light-primary);
    color: var(--primary);
}

header.navigation nav > ul a.active li:before {
    background: var(--primary);
}

header.navigation nav > ul li:before {
    content: '';
    position: relative;
    display: inline-block;
    width: 1.4em;
    height: 1.4em;
    margin: 0 1.4em 0 0;
    background: var(--gray);
    mask-position: center;
    -webkit-mask-position: center;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
}

header.navigation nav > ul li.overview:before {
    -webkit-mask-image: url(../image/info.svg);
    mask-image: url(../image/info.svg);
}

header.navigation nav > ul li.user:before {
    -webkit-mask-image: url(../image/user.svg);
    mask-image: url(../image/user.svg);
}

header.navigation nav > ul li.newsletter:before {
    -webkit-mask-image: url(../image/email.svg);
    mask-image: url(../image/email.svg);
}

header.navigation nav > ul li.pseudonym:before {
    -webkit-mask-image: url(../image/pseudonym.svg);
    mask-image: url(../image/pseudonym.svg);
}

header.navigation nav > ul li.abo:before {
    -webkit-mask-image: url(../image/abo.svg);
    mask-image: url(../image/abo.svg);
}

header.navigation nav > ul li.security:before {
    -webkit-mask-image: url(../image/security.svg);
    mask-image: url(../image/security.svg);
}

header.navigation nav > ul a {
    text-decoration: none;
    color: var(--dark-gray);
    font-size: 1em;
    font-weight: 500;
}

header.navigation nav > input#openNav:checked ~ ul {
    left: 0;
}

main > .logo {
    position: relative;
    display: block;
    margin: 2em auto;
}

main > h2 {
    text-align: center;
}

main > article {
    padding: 0 1em;
}

main > article > h3 {
    text-align: center;
}

main > article > p {
    text-align: center;
}

main > article > nav {
    display: flex;
    justify-content: space-between;
    margin: 1em 0;
}

m-field.twoFactorAuthentication[mask] > .frame > input {
    padding: 0;
    text-align: center;
}

m-field.twoFactorAuthentication.blocked[mask] > .frame > input {
    cursor: default;
    background: var(--light-gray);
}

m-field.blocked > .frame > input:hover {
    border-color: var(--medium-gray);
}

main > article nav {
    display: inline-block;
    width: 100%;
    margin: 1rem 0 0 0;
}

main > article nav m-button:last-of-type {
    float: right;
}

main > article nav.center {
    text-align: center;
    margin: 0 0 1em 0;
}

main > article > nav.center {
    justify-content: center;
}

main > article > fieldset > p {
    margin: 2em 0;
}

/* userMessage */
article.userMessage {
    background: var(--primary);
    color: var(--white);
    margin: 1em auto;
    padding: 1em;
    border-radius: var(--box-border-radius);
    width: calc(100% - 2rem);
}

article.userMessage h3.user {
    margin: 0 0 0 32px;
    line-height: 1.25rem;
    color: var(--white);
    font-size: 1rem;
}

article.userMessage h3.user:before {
    content: '';
    position: relative;
    display: inline-block;
    width: 22px;
    height: 22px;
    margin: 0 8px -6px -30px;
    background: var(--white);
    mask-position: center;
    -webkit-mask-position: center;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/user.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/user.svg);
}

article.userMessage a {
    color: var(--white);
}

article.userMessage m-button.flat {
    color: var(--white);
}

/* dialogue */
.dialogue {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.8);
    z-index: 0;
    opacity: 0;
    height: 100%;
    width: 100%;
    visibility: hidden;
}

.dialogue.fadeIn {
    z-index: 99999;
    opacity: 1;
    visibility: visible;
}

.dialogue .message {
    position: relative;
    display: block;
    background: var(--light-gray);
    margin: 1em;
    padding: 1em;
    border-radius: 4px;
    box-shadow: var(--box-shadow);
}

.dialogue .message > span {
    width: 6em;
    height: 6em;
    margin: 1em auto;
}

.dialogue .message > span.icon {
    position: relative;
    display: block;
    margin: auto;
    width: 1.25em;
    height: 1.25em;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    mask-size: 100%;
    -webkit-mask-size: 100%;
    mask-position: center;
    -webkit-mask-position: center;
    background: var(--gray);
}

.dialogue .message > span.icon.close {
    margin: 0 0 0 auto;
    -webkit-mask-image: url(../image/close.svg);
    mask-image: url(../image/close.svg);
    float: right;
    top: -24px;
    cursor: pointer;
}

.dialogue .message > span.icon.abo {
    width: 1.8em;
    height: 1.8em;
    background: var(--primary);
    -webkit-mask-image: url(../image/abo.svg);
    mask-image: url(../image/abo.svg);
}

.dialogue .message > h3 {
    text-align: center;
}

.dialogue .message > ul {
    list-style: none;
    margin: 0 0 1em 0;
    padding: 0;
}

.dialogue .message > ul > li {
    display: flex;
    margin: 0 0 .5em 0;
    color: var(--gray);
    justify-content: center;
}

.dialogue .message > ul > li > b {
    width: 40%;
    max-width: 150px;
}

.dialogue .message m-button:last-child {
    float: right;
}

/* accessibility */
.visually-hidden:not(:focus) {
    position: absolute !important;
    overflow: hidden !important;
    clip: rect(0 0 0 0) !important;
    height: 1px !important;
    width: 1px !important;
    margin: -1px !important;
    padding: 0 !important;
    border: 0 !important;
}

a.visually-hidden {
    position: absolute !important;
    top: 0;
    left: 50%;
    padding: 0 .75em !important;
    -webkit-transform: translateX(-50%) !important;
    transform: translateX(-50%) !important;
    background-color: var(--accessibility-color);
    z-index: 9;
    min-height: 60px;
    line-height: 60px;
}

/* div table with checkbox */
main > article table {
    position: relative;
    display: block;
    background: var(--white);
    border: 1px solid var(--medium-gray);
    border-radius: 4px;
    overflow-x: auto;
    width: 100%;
    max-height: 300px;
    margin: 1em 0 0 0;
    text-align: left;
}

main > article table > caption,
main > article table th:first-child {
    font-size: 0;
}

main > article table > caption {
    height: 0;
}

main > article table tbody {
    width: 100%;
    position: relative;
    display: block;
}

main > article table tr {
    display: grid;
    grid-template-columns: 44px 220px 100px 84px 105px minmax(90px, 100%);
    border-top: 1px solid var(--medium-gray);
}

main > article table.maxLogin tr {
    grid-template-columns: 44px 110px 100px 130px 170px minmax(100px, 100%);
}

main > article table tr:first-child {
    border: none;
}

main > article table tr > th {
    border-bottom: 1px solid var(--medium-gray);
    padding: .5rem;
}

main > article table tr > td {
    background: var(--light-gray);
    padding: .5rem;
}

main > article table tr > td * {
    vertical-align: middle;
    margin: 0;
}

/* scrollbar */
::-webkit-scrollbar {
    width: .25em;
    height: .25em;
}

::-webkit-scrollbar-track {
    box-shadow: none;
    background-color: transparent;
}

::-webkit-scrollbar-track-piece {
    background-color: var(--white);
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background: var(--medium-gray);
    border-radius: .25em;
}

/* fade in and out effect for elements */
.fadeIn {
    opacity: 1;
    transition: all .2s;
}

.fadeOut {
    opacity: 0;
    transition: all .2s;
}

/* footer */
footer {
    position: relative;
    display: block;
    text-align: center;
    font-size: .85em;
    padding: 1em 0;
}

footer > img.logo {
    position: relative;
    display: block;
    margin: 1.5em auto;
}

footer > img.logo.mga {
    max-width: 100%;
    width: 160px;
}

footer > ul {
    list-style: none;
    margin: 0 0 1em 0;
    padding: 0;
}

footer > ul li {
    position: relative;
    display: inline-block;
    padding: 0 .5em;
}

footer > ul li a {
    text-decoration: none;
    color: var(--black);
}

footer > span {
    color: var(--gray);
}

@media (min-width: 768px) {
    body {
        background: var(--light-gray);
    }

    header.navigation nav > label,
    header.navigation nav > span {
        display: none;
    }

    header.navigation nav > ul {
        position: relative;
        width: auto;
        height: 55px;
        top: 0;
        left: 0;
        margin: 0 auto;
        box-shadow: none;
    }

    header.navigation nav > ul a {
        position: relative;
        display: inline-block;
    }

    header.navigation nav > ul li {
        height: 55px;
        padding: 0 1em;
    }

    header.navigation nav > ul li:before {
        display: none;
    }

    main > article {
        background: var(--white);
        max-width: calc(768px - 2em);
        margin: 1em auto;
        padding: 1em;
        border-radius: 4px;
        box-shadow: var(--box-shadow);
    }

    main > article .table > * {
        grid-template-columns: 32px 1fr 100px 90px 92px 100px 1fr;
    }

    .dialogue .message {
        width: 50vw;
    }

    .table {
        max-height: 500px;
    }
}

@media (min-width: 1024px) {
    header.navigation nav > ul li {
        padding: 0 1.2em;
    }
    header.navigation nav > ul li:before {
        display: block;
        margin: 0 .8em 0 0;
    }

    fieldset > span.icon,
    .dialogue.fadeIn .message > span.icon.close {
        cursor: pointer;
    }

    .dialogue .message {
        max-width: calc(768px - 2em);
    }

    ::-webkit-scrollbar {
        width: .5em;
        height: .5em;
    }
}

.hidden {
    display: none;
}